RankSharkDocs
Campaigns

Count campaigns by state

RankShark EnhanceScopecampaigns:read

GET
/api/v1/campaigns/overview

Authorization

headerAuthorizationBearer <token>

An Enhance API key (rsen_…) or an OAuth 2.1 access token, as "Authorization: Bearer …".

Response Body

OK

application/json
  1. response
total?integer
running?integer
stopped?integer
completed?integer
archived?integer
Example Request
curl -X GET 'https://panel.rankshark.io/api/v1/campaigns/overview'
Example Response
{  "total": 0,  "running": 0,  "stopped": 0,  "completed": 0,  "archived": 0}